Suppliers

Supplier with its catalog

GET
/suppliers/{id}

Supplier with its catalog.

Authorization

__Host-qm_session<token>

Session cookie set by sign-in on HTTPS deployments (the hosted demo).

In: cookie

Path Parameters

id*string

Resource id (UUID).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/suppliers/0f8fad5b-d9cb-469f-a165-70867728950e"
{  "supplier": {    "id": "string",    "name": "string",    "approved": true,    "active": true,    "checkout_eligible": true,    "lead_time_days": 0,    "tax_rate_bps": 0,    "fee_terms": [      {        "code": "string",        "label": "string",        "kind": "SHIPPING",        "amount_minor": 0,        "waived_over_minor": 0      }    ],    "website": "string",    "description": "string",    "quarantined": true,    "catalog_items": 0,    "data_source": "CHANNEL3_MARKET",    "catalog": [      {        "id": "string",        "supplier_id": "string",        "sku": "string",        "title": "string",        "description": "string",        "category": "food_packaging",        "inventory_item_id": "string",        "pack_quantity": 0,        "unit_price_minor": 0,        "currency": "string",        "in_stock": true,        "recurring": true,        "quarantined": true,        "quarantine_reason": "string",        "updated_at": "string"      }    ],    "created_at": "string"  }}